---
title: Navigator.deviceMemory
slug: Web/API/Navigator/deviceMemory
tags:
  - API
  - Device Memory API
  - Navigator
  - Property
  - Reference
  - deviceMemory
  - memory
---
<div>{{APIRef("Device Memory")}}{{securecontext_header}}{{SeeCompatTable}}</div>

<p><span class="seoSummary">The <strong><code>deviceMemory</code></strong> read-only property of the {{domxref("Navigator")}} interface returns the approximate amount of device memory in gigabytes.</span></p>

<p>The reported value is imprecise to curtail fingerprinting. It’s approximated by rounding down to the nearest power of 2, then dividing that number by 1024. It is then clamped within lower and upper bounds to protect the privacy of owners of very low- or high-memory devices.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><em>memoryAmount</em> = navigator.deviceMemory</pre>

<h3 id="Value">Value</h3>

<p>A floating point number; one of <code>0.25</code>, <code>0.5</code>, <code>1</code>, <code>2</code>, <code>4</code>, <code>8</code>.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js notranslate">const memory = navigator.deviceMemory
console.log (`This device has at least ${memory}GiB of RAM.`)
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("Device Memory","#sec-device-memory-js-api","deviceMemory")}}</td>
   <td>{{Spec2("Device Memory")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Navigator.deviceMemory")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Device_Memory_API">Device Memory API</a></li>
 <li>{{HTTPHeader("Device-Memory")}} HTTP header</li>
</ul>
